#
# Conditional build
%bcond_with	verbose	# verbose build (V=1)
%bcond_without	qt	# disable GUI build (Qt4 deps)
#
Summary:	Matroska video utilities
Summary(pl.UTF-8):	Narzędzia do filmów w formacie Matroska
Name:		mkvtoolnix
Version:	60.0.0
Release:	2
License:	GPL v2
Group:		Applications/Multimedia
Source0:	https://www.bunkus.org/videotools/mkvtoolnix/sources/%{name}-%{version}.tar.xz
# Source0-md5:	b9258789b132da04be92f12c18b1b801
Patch0:		%{name}-init_locales.patch
URL:		https://www.bunkus.org/videotools/mkvtoolnix/
%if %{with qt}
BuildRequires:	Qt5Concurrent-devel >= 5.3.0
BuildRequires:	Qt5DBus-devel >= 5.3.0
BuildRequires:	Qt5Gui-devel >= 5.3.0
BuildRequires:	Qt5Multimedia-devel >= 5.3.0
BuildRequires:	Qt5Widgets-devel >= 5.3.0
BuildRequires:	cmark-devel
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= 5.3.0
BuildRequires:	qt5-linguist >= 5.3.0
%endif
BuildRequires:	autoconf
BuildRequires:	boost-devel >= 1.49.0
BuildRequires:	bzip2-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	flac-devel
BuildRequires:	gettext-tools
BuildRequires:	libebml-devel >= 1.3.5
BuildRequires:	libmagic-devel
BuildRequires:	libmatroska-devel >= 1.4.8
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lzo-devel
BuildRequires:	po4a
BuildRequires:	pugixml-devel
BuildRequires:	ruby-modules
BuildRequires:	ruby-rake
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska video utilities.

%description -l pl.UTF-8
Narzędzia do filmów w formacie Matroska.

%package gui
Summary:	Qt GUI for mkvmerge including a chapter and a header editor
Summary(pl.UTF-8):	Graficzny interfejs Qt do mkvmerge, zawierający edytor rozdziałów i nagłówków
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description gui
Qt GUI for mkvmerge including a chapter and a header editor.

%description gui -l pl.UTF-8
Graficzny interfejs Qt do mkvmerge, zawierający edytor rozdziałów i
nagłówków.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
	%{?with_qt:LCONVERT=/usr/bin/lconvert-qt5} \
	--docdir=%{_datadir}/%{name} \
	--%{?with_qt:en}%{!?with_qt:dis}able-qt \
	%{?with_qt:--with-moc=/usr/bin/moc-qt5} \
	%{?with_qt:--with-uic=/usr/bin/uic-qt5} \
	--with-docbook-xsl-root=/usr/share/sgml/docbook/xsl-stylesheets

LC_ALL="C.UTF-8" rake %{?_smp_mflags} %{?with_verbose:V=1}

%install
rm -rf $RPM_BUILD_ROOT

LC_ALL="C.UTF-8" rake install \
	INSTALL="install -cp" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/sr_RS{,@latin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README.md NEWS.md
%attr(755,root,root) %{_bindir}/mkvmerge
%attr(755,root,root) %{_bindir}/mkvextract
%attr(755,root,root) %{_bindir}/mkvpropedit
%{_mandir}/man1/mkvmerge.1*
%{_mandir}/man1/mkvextract.1*
%{_mandir}/man1/mkvpropedit.1*
%lang(bg) %{_mandir}/bg/man1/mkvmerge.1*
%lang(bg) %{_mandir}/bg/man1/mkvextract.1*
%lang(bg) %{_mandir}/bg/man1/mkvpropedit.1*
%lang(ca) %{_mandir}/ca/man1/mkvmerge.1*
%lang(ca) %{_mandir}/ca/man1/mkvextract.1*
%lang(ca) %{_mandir}/ca/man1/mkvpropedit.1*
%lang(de) %{_mandir}/de/man1/mkvmerge.1*
%lang(de) %{_mandir}/de/man1/mkvextract.1*
%lang(de) %{_mandir}/de/man1/mkvpropedit.1*
%lang(es) %{_mandir}/es/man1/mkvmerge.1*
%lang(es) %{_mandir}/es/man1/mkvextract.1*
%lang(es) %{_mandir}/es/man1/mkvpropedit.1*
%lang(fr) %{_mandir}/fr/man1/mkvmerge.1*
%lang(fr) %{_mandir}/fr/man1/mkvextract.1*
%lang(fr) %{_mandir}/fr/man1/mkvpropedit.1*
%lang(it) %{_mandir}/it/man1/mkvmerge.1*
%lang(it) %{_mandir}/it/man1/mkvextract.1*
%lang(it) %{_mandir}/it/man1/mkvpropedit.1*
%lang(ja) %{_mandir}/ja/man1/mkvmerge.1*
%lang(ja) %{_mandir}/ja/man1/mkvextract.1*
%lang(ja) %{_mandir}/ja/man1/mkvpropedit.1*
%lang(ko) %{_mandir}/ko/man1/mkvmerge.1*
%lang(ko) %{_mandir}/ko/man1/mkvextract.1*
%lang(ko) %{_mandir}/ko/man1/mkvpropedit.1*
%lang(nl) %{_mandir}/nl/man1/mkvmerge.1*
%lang(nl) %{_mandir}/nl/man1/mkvextract.1*
%lang(nl) %{_mandir}/nl/man1/mkvpropedit.1*
%lang(pl) %{_mandir}/pl/man1/mkvmerge.1*
%lang(pl) %{_mandir}/pl/man1/mkvextract.1*
%lang(pl) %{_mandir}/pl/man1/mkvpropedit.1*
%lang(ru) %{_mandir}/ru/man1/mkvmerge.1*
%lang(ru) %{_mandir}/ru/man1/mkvextract.1*
%lang(ru) %{_mandir}/ru/man1/mkvpropedit.1*
%lang(uk) %{_mandir}/uk/man1/mkvmerge.1*
%lang(uk) %{_mandir}/uk/man1/mkvextract.1*
%lang(uk) %{_mandir}/uk/man1/mkvpropedit.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvmerge.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvextract.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvpropedit.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mkvmerge.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mkvextract.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mkvpropedit.1*

%if %{without qt}
%attr(755,root,root) %{_bindir}/mkvinfo
%{_mandir}/man1/mkvinfo.1*
%lang(bg) %{_mandir}/bg/man1/mkvinfo.1*
%lang(ca) %{_mandir}/ca/man1/mkvinfo.1*
%lang(de) %{_mandir}/de/man1/mkvinfo.1*
%lang(es) %{_mandir}/es/man1/mkvinfo.1*
%lang(fr) %{_mandir}/fr/man1/mkvinfo.1*
%lang(it) %{_mandir}/it/man1/mkvinfo.1*
%lang(ja) %{_mandir}/ja/man1/mkvinfo.1*
%lang(ko) %{_mandir}/ko/man1/mkvinfo.1*
%lang(nl) %{_mandir}/nl/man1/mkvinfo.1*
%lang(pl) %{_mandir}/pl/man1/mkvinfo.1*
%lang(ru) %{_mandir}/ru/man1/mkvinfo.1*
%lang(uk) %{_mandir}/uk/man1/mkvinfo.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvinfo.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mkvinfo.1*
%endif

%if %{with qt}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mkvinfo
%attr(755,root,root) %{_bindir}/mkvtoolnix-gui
%dir %{_datadir}/mkvtoolnix
%dir %{_datadir}/mkvtoolnix/sounds
%{_datadir}/mkvtoolnix/sounds/finished-1.ogg
%{_datadir}/mkvtoolnix/sounds/finished-2.ogg
%{_datadir}/mkvtoolnix/sounds/finished-3.ogg
%{_datadir}/metainfo/org.bunkus.mkvtoolnix-gui.appdata.xml
%{_datadir}/mime/packages/org.bunkus.mkvtoolnix-gui.xml
%{_desktopdir}/org.bunkus.mkvtoolnix-gui.desktop
%{_iconsdir}/hicolor/*/apps/mkvextract.png
%{_iconsdir}/hicolor/*/apps/mkvinfo.png
%{_iconsdir}/hicolor/*/apps/mkvmerge.png
%{_iconsdir}/hicolor/*/apps/mkvtoolnix-gui.png
%{_iconsdir}/hicolor/*/apps/mkvpropedit.png
%{_mandir}/man1/mkvinfo.1*
%{_mandir}/man1/mkvtoolnix-gui.1*
%lang(bg) %{_mandir}/bg/man1/mkvinfo.1*
%lang(bg) %{_mandir}/bg/man1/mkvtoolnix-gui.1*
%lang(ca) %{_mandir}/ca/man1/mkvinfo.1*
%lang(ca) %{_mandir}/ca/man1/mkvtoolnix-gui.1*
%lang(de) %{_mandir}/de/man1/mkvinfo.1*
%lang(de) %{_mandir}/de/man1/mkvtoolnix-gui.1*
%lang(es) %{_mandir}/es/man1/mkvinfo.1*
%lang(es) %{_mandir}/es/man1/mkvtoolnix-gui.1*
%lang(fr) %{_mandir}/fr/man1/mkvinfo.1*
%lang(fr) %{_mandir}/fr/man1/mkvtoolnix-gui.1*
%lang(it) %{_mandir}/it/man1/mkvinfo.1*
%lang(it) %{_mandir}/it/man1/mkvtoolnix-gui.1*
%lang(ja) %{_mandir}/ja/man1/mkvinfo.1*
%lang(ja) %{_mandir}/ja/man1/mkvtoolnix-gui.1*
%lang(ko) %{_mandir}/ko/man1/mkvinfo.1*
%lang(ko) %{_mandir}/ko/man1/mkvtoolnix-gui.1*
%lang(nl) %{_mandir}/nl/man1/mkvinfo.1*
%lang(nl) %{_mandir}/nl/man1/mkvtoolnix-gui.1*
%lang(pl) %{_mandir}/pl/man1/mkvinfo.1*
%lang(pl) %{_mandir}/pl/man1/mkvtoolnix-gui.1*
%lang(ru) %{_mandir}/ru/man1/mkvinfo.1*
%lang(ru) %{_mandir}/ru/man1/mkvtoolnix-gui.1*
%lang(uk) %{_mandir}/uk/man1/mkvinfo.1*
%lang(uk) %{_mandir}/uk/man1/mkvtoolnix-gui.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvinfo.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mkvtoolnix-gui.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mkvinfo.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mkvtoolnix-gui.1*
%endif
%changelog
* Fri Aug 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mkvtoolnix.git;a=log;h=master

* Fri Aug 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 78826eb
- relup, rebuild with libfmt-8

* Thu Aug 12 2021 Jan Palus <atler@pld-linux.org> f6efd3c
- up to 60.0.0

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> aa665ac
- rediff patch

* Sun Sep 27 2020 Jan Rękorajski <baggins@pld-linux.org> 89c68d1
- release 5 (by relup.sh)

* Fri Sep 04 2020 Jan Palus <atler@pld-linux.org> afd508a
- libfmt rebuild
- release 4 (by relup.sh)

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 75c6505
- release 3 (boost 1.73)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> cd3aea8
- release 2 (by relup.sh)

* Wed Oct 09 2019 Adam Gołębiowski <adamg@pld-linux.org> cb636ab
- updated to 38.0.0 (builds fine against boost 1.71.0), BR: Qt5DBus-devel, Qt5Widgets-devel

* Tue Jun 25 2019 Adam Gołębiowski <adamg@pld-linux.org> 3850571
- updated to 35.0.0

* Sun May 19 2019 Adam Gołębiowski <adamg@pld-linux.org> ceda4f8
- updated to 34.0.0

* Tue Apr 16 2019 Adam Gołębiowski <adamg@pld-linux.org> 9d1a44e
- updated to 33.1.0

* Mon Apr 15 2019 Jan Rękorajski <baggins@pld-linux.org> d4ef1de
- icu/boost rebuild
- release 2 (by relup.sh)

* Wed Mar 13 2019 Adam Gołębiowski <adamg@pld-linux.org> 911b39a
- updated to 32.0.0

* Mon Mar 11 2019 Adam Gołębiowski <adamg@pld-linux.org> f7f76de
- updated to 31.0.0

* Sun Dec 02 2018 Adam Gołębiowski <adamg@pld-linux.org> 1a25356
- updated to 29.0.0

* Sat Oct 27 2018 Adam Gołębiowski <adamg@pld-linux.org> af200d9
- updated to 28.2.0

* Wed Oct 24 2018 Adam Gołębiowski <adamg@pld-linux.org> f4d289b
- updated to 28.1.0

* Sun Oct 21 2018 Adam Gołębiowski <adamg@pld-linux.org> d70c6d9
- updated to 28.0.0

* Tue Oct 09 2018 Jan Rękorajski <baggins@pld-linux.org> fb0ace5
- up to 27.0.0

* Mon Feb 12 2018 Jan Rękorajski <baggins@pld-linux.org> 278e21d
- mkvinfo is build with gui support if compiled with qt

